WPSOLEParserInternal::CompObj Class Reference

Internal: internal method to compobj definition. More...

## Public Member Functions

| CompObj ()
| the constructor More...
char const * | getCLSName (unsigned long v)
| return the CLS Name corresponding to an identifier More...

## Protected Member Functions

void | initCLSMap ()
| initialise a map CLSId <-> name More...

## Protected Attributes

std::map< unsigned long, char const * > | m_mapCls
| map CLSId <-> name More...

## Detailed Description

Internal: internal method to compobj definition.

## Constructor & Destructor Documentation

WPSOLEParserInternal::CompObj::CompObj | ( |  | ) |

inline

the constructor

## Member Function Documentation

char const* WPSOLEParserInternal::CompObj::getCLSName | ( | unsigned long | v | ) |

inline

return the CLS Name corresponding to an identifier

void WPSOLEParserInternal::CompObj::initCLSMap | ( |  | ) |

inline protected

initialise a map CLSId <-> name

Referenced by CompObj().

## Member Data Documentation

std::map<unsigned long, char const *> WPSOLEParserInternal::CompObj::m_mapCls

protected

map CLSId <-> name

Referenced by getCLSName(), and initCLSMap().

The documentation for this class was generated from the following file:

- WPSOLEParser.cpp